Bug Hunting Session
Bug 49175 - FILEOPEN: Importing PPT 2007 Object with multiple animations does not render correctly in slideshow
Summary: FILEOPEN: Importing PPT 2007 Object with multiple animations does not render ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-26 08:33 UTC by Mark
Modified: 2014-10-06 15:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Single Slide Problem reproducer for slideshow with multiple effects applied to a single object (111.08 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-04-26 08:33 UTC, Mark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark 2012-04-26 08:33:17 UTC
Created attachment 60618 [details]
Single Slide Problem reproducer for slideshow with multiple effects applied to a single object

LibreOffice 3.5.2 on Ubuntu 11.10 AMD64

I have a Powerpoint 2007 pptx than uses an animation sequence with multiple animation effects applied to a single object. The object disappears (Effect exit fly out) and then re-appears (Effect Entrance Fly in). This does not display correctly in Impress Slideshow.

I have attached a one slide PPT 2007 pptx that reproduces the problem.

Here is the description:

To reproduce, create a PPT 2007 pptx, add a slide, add a text box, Custom Animations, Add exit effect floy out, Add entrance effect fly in.

The reproducer shows:

TextBox with Two animation effects applied (Exit Flyout and Entrance Flyin)

In PPT, Open, Slideshow, slide appears showing Text Box, hit next
First Effect- Text Box Exits (fly out), hit next
Second Effect – Text Box Entrance (fly in)

In Impress, Open, Slideshow, slide appears not showing Text Box, hit next
First Effect - Nothing happens – Text Box is not visible, hit next
Second Effect - TextBox Entrance (fly in)
Comment 1 Thorsten Behrens (CIB) 2013-09-12 16:14:52 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 2 mike.hall 2014-03-10 14:32:32 UTC
This makes interworking with professional MS Office PPT users virtually impossible. Very embarrassing for me in one recent situation. Impress has been improving, but there are still far too many bugs. Hope this one will be fixed soon...
Comment 3 Buovjaga 2014-10-06 11:24:14 UTC
Works beautifully for me on Win 7 64-bit 4.3.2.2 and today's 4.4.0.0 dev build.
Comment 4 ign_christian 2014-10-06 15:31:45 UTC
Also beautiful for me with LO 4.2.7.1 - Ubuntu 12.04 x86

All animations played well, same as with WPS office 2014